added radius init script mit increased debugging
[strongswan.git] / testing / hosts / alice / etc / init.d / radiusd
1 #!/sbin/runscript
2
3 opts="${opts} reload"
4
5 depend() {
6         need net
7         use dns
8 }
9
10 checkconfig() {
11         # set the location of log files
12         if ! cd /var/log/radius ; then
13                 eerror "Failed to change current directory to /var/log/radius"
14                 return 1
15         fi
16
17         if [ ! -d /var/run/radiusd ] && ! mkdir /var/run/radiusd ; then
18                 eerror "Failed to create /var/run/radiusd"
19                 return 1
20         fi
21         
22         if [ ! -f /etc/raddb/radiusd.conf ] ; then
23                 eerror "No /etc/raddb/radiusd.conf file exists!"
24                 return 1
25         fi
26
27         RADIUSD_OPTS="-xx"
28         RADIUSD_USER=`grep '^ *user *=' /etc/raddb/radiusd.conf | cut -d ' ' -f 3`
29         RADIUSD_GROUP=`grep '^ *group *=' /etc/raddb/radiusd.conf | cut -d ' ' -f 3`
30         if [ -n "${RADIUSD_USER}" ] && ! getent passwd ${RADIUSD_USER} > /dev/null ; then
31                 eerror "${RADIUSD_USER} user missing!"
32                 return 1
33         fi
34         if [ -n "${RADIUSD_GROUP}" ] && ! getent group ${RADIUSD_GROUP} > /dev/null ; then
35                 eerror "${RADIUSD_GROUP} group missing!"
36                 return 1
37         fi
38
39         # radius.log is created before privileges are dropped - need to set proper permissions on it
40         [ -f radius.log ] || touch radius.log || return 1
41
42         chown -R "${RADIUSD_USER:-root}:${RADIUSD_GROUP:-root}" . /var/run/radiusd && \
43                 chmod -R u+rwX,g+rX . /var/run/radiusd || return 1
44 }
45
46 start() {
47         checkconfig || return 1
48
49         ebegin "Starting radiusd"
50         start-stop-daemon --start --quiet --exec /usr/sbin/radiusd -- ${RADIUSD_OPTS} >/dev/null
51         eend $?
52 }
53
54 stop () {
55         ebegin "Stopping radiusd"
56         start-stop-daemon --stop --quiet --pidfile=/var/run/radiusd/radiusd.pid
57         eend $?
58 }
59
60 reload () {
61         ebegin "Reloading radiusd"
62         kill -HUP `</var/run/radiusd/radiusd.pid`
63         eend $?
64 }